#################################
#		Secret Rooms 3
#		Lobby Shout Out Function
#		
#		Shoutout Animation
#
#		By Brozziest
#
#################################

#end animation
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1130..}] run return 1

#progress animation
execute as @e[tag=sr3_overlord] at @s run scoreboard players add @s lobby_shout_anim 1

#hide/show clickbox and text
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1}] as @e[tag=lobby_shout_text,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:2,transformation:{scale:[1.1f,1.1f,1.1f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=3}] as @e[tag=lobby_shout_text,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:4,transformation:{scale:[0f,0f,0f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1}] as @e[tag=lobby_shout_clickbox,sort=nearest] at @s run tp @s ~ ~-10 ~
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1130}] as @e[tag=lobby_shout_text2,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{scale:[1f,1f,1f]}}

#summon pickaxe man
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1}] run summon armor_stand 17.5 34.0 24.5 {Rotation:[-116.6f,0.0f],Invulnerable:1b,NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Marker:1b,ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:3026478}}},{id:"leather_leggings",Count:1b,tag:{display:{color:5526612}}},{id:"leather_chestplate",Count:1b,tag:{Trim:{material:"minecraft:gold",pattern:"minecraft:vex"},display:{color:16733440}}},{id:"player_head",Count:1b,tag:{SkullOwner:"Brozziest"}}],HandItems:[{id:"golden_pickaxe",Count:1b},{}],DisabledSlots:4144959,Pose:{RightArm:[0f,0f,5f],LeftArm:[0f,0f,355f]},Tags:["lobby_shout_as"]}

#walk up animaiton
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1}] as @e[tag=lobby_shout_as] at @s run particle minecraft:campfire_cosy_smoke ~ ~1 ~ .5 1 .5 0.01 50
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1}] as @e[tag=lobby_shout_as,limit=1] at @s run particle minecraft:cloud ~ ~1 ~ .5 1 .5 0.01 100
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1}] as @e[tag=lobby_shout_as,limit=1] at @s run particle minecraft:flash ~ ~1 ~ 0 0 0 0 1
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1}] as @e[tag=lobby_shout_as,limit=1] at @s run playsound minecraft:item.goat_horn.sound.5 master @a ~ ~ ~ 1 1
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1..75}] run function secretrooms3:level_animation/lobby_shoutout_walk

#pickaxe swing animation
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=76..129}] run function secretrooms3:level_animation/lobby_shoutout_swing
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=180..233}] run function secretrooms3:level_animation/lobby_shoutout_swing
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=284..337}] run function secretrooms3:level_animation/lobby_shoutout_swing
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=388..441}] run function secretrooms3:level_animation/lobby_shoutout_swing
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=492..545}] run function secretrooms3:level_animation/lobby_shoutout_swing
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=596..649}] run function secretrooms3:level_animation/lobby_shoutout_swing
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=700..753}] run function secretrooms3:level_animation/lobby_shoutout_swing
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=804..857}] run function secretrooms3:level_animation/lobby_shoutout_swing
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=908..961}] run function secretrooms3:level_animation/lobby_shoutout_swing
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1012..1065}] run function secretrooms3:level_animation/lobby_shoutout_swing

#lift head animation
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=130..179}] run function secretrooms3:level_animation/lobby_shoutout_pull
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=234..283}] run function secretrooms3:level_animation/lobby_shoutout_pull
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=338..387}] run function secretrooms3:level_animation/lobby_shoutout_pull
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=442..491}] run function secretrooms3:level_animation/lobby_shoutout_pull
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=546..595}] run function secretrooms3:level_animation/lobby_shoutout_pull
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=650..699}] run function secretrooms3:level_animation/lobby_shoutout_pull
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=754..803}] run function secretrooms3:level_animation/lobby_shoutout_pull
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=858..907}] run function secretrooms3:level_animation/lobby_shoutout_pull
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=962..1011}] run function secretrooms3:level_animation/lobby_shoutout_pull
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1066..1115}] run function secretrooms3:level_animation/lobby_shoutout_pull

#head movement animation
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=75}] run summon item_display 19.5 34.77 22.5 {teleport_duration:1,brightness:{sky:15,block:0},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[.3631123f,.3631123f,.3631123f,.7774628f],translation:[0f,0f,0f],scale:[.8f,.8f,.8f]},item:{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:"iLocus"}},Tags:["lobby_shout_head","lobby_shout_head1"]}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=76..179}] run function secretrooms3:level_animation/lobby_heads/lobby_shout_head1
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=192}] as @e[tag=lobby_shout_spit,limit=1,sort=nearest] at @s run kill @s
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=194}] as @e[tag=lobby_shout_head1,limit=1,sort=nearest] at @s run tag @s add lobby_spin_head

execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=179}] run summon item_display 19.5 34.77 22.5 {teleport_duration:1,brightness:{sky:15,block:0},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[.3631123f,.3631123f,.3631123f,.7774628f],translation:[0f,0f,0f],scale:[.8f,.8f,.8f]},item:{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:"fapritzio"}},Tags:["lobby_shout_head","lobby_shout_head2"]}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=180..283}] run function secretrooms3:level_animation/lobby_heads/lobby_shout_head2
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=298}] as @e[tag=lobby_shout_spit,limit=1,sort=nearest] at @s run kill @s
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=300}] as @e[tag=lobby_shout_head2,limit=1,sort=nearest] at @s run tag @s add lobby_spin_head

execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=284}] run summon item_display 19.5 34.77 22.5 {teleport_duration:1,brightness:{sky:15,block:0},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[.3631123f,.3631123f,.3631123f,.7774628f],translation:[0f,0f,0f],scale:[.8f,.8f,.8f]},item:{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:"Meat_bun1"}},Tags:["lobby_shout_head","lobby_shout_head3"]}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=284..387}] run function secretrooms3:level_animation/lobby_heads/lobby_shout_head3
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=400}] as @e[tag=lobby_shout_spit,limit=1,sort=nearest] at @s run kill @s
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=402}] as @e[tag=lobby_shout_head3,limit=1,sort=nearest] at @s run tag @s add lobby_spin_head

execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=388}] run summon item_display 19.5 34.77 22.5 {teleport_duration:1,brightness:{sky:15,block:0},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[.3631123f,.3631123f,.3631123f,.7774628f],translation:[0f,0f,0f],scale:[.8f,.8f,.8f]},item:{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:"HJack_69"}},Tags:["lobby_shout_head","lobby_shout_head4"]}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=388..491}] run function secretrooms3:level_animation/lobby_heads/lobby_shout_head4
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=504}] as @e[tag=lobby_shout_spit,limit=1,sort=nearest] at @s run kill @s
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=506}] as @e[tag=lobby_shout_head4,limit=1,sort=nearest] at @s run tag @s add lobby_spin_head

execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=492}] run summon item_display 19.5 34.77 22.5 {teleport_duration:1,brightness:{sky:15,block:0},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[.3631123f,.3631123f,.3631123f,.7774628f],translation:[0f,0f,0f],scale:[.8f,.8f,.8f]},item:{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:"DarkGalaxy1"}},Tags:["lobby_shout_head","lobby_shout_head5"]}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=492..595}] run function secretrooms3:level_animation/lobby_heads/lobby_shout_head5
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=609}] as @e[tag=lobby_shout_spit,limit=1,sort=nearest] at @s run kill @s
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=611}] as @e[tag=lobby_shout_head5,limit=1,sort=nearest] at @s run tag @s add lobby_spin_head

execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=596}] run summon item_display 19.5 34.77 22.5 {teleport_duration:1,brightness:{sky:15,block:0},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[.3631123f,.3631123f,.3631123f,.7774628f],translation:[0f,0f,0f],scale:[.8f,.8f,.8f]},item:{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:"Kimmmyyy"}},Tags:["lobby_shout_head","lobby_shout_head6"]}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=596..699}] run function secretrooms3:level_animation/lobby_heads/lobby_shout_head6
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=712}] as @e[tag=lobby_shout_spit,limit=1,sort=nearest] at @s run kill @s
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=714}] as @e[tag=lobby_shout_head6,limit=1,sort=nearest] at @s run tag @s add lobby_spin_head

execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=700}] run summon item_display 19.5 34.77 22.5 {teleport_duration:1,brightness:{sky:15,block:0},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[.3631123f,.3631123f,.3631123f,.7774628f],translation:[0f,0f,0f],scale:[.8f,.8f,.8f]},item:{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:"Daniity"}},Tags:["lobby_shout_head","lobby_shout_head7"]}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=700..803}] run function secretrooms3:level_animation/lobby_heads/lobby_shout_head7
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=816}] as @e[tag=lobby_shout_spit,limit=1,sort=nearest] at @s run kill @s
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=818}] as @e[tag=lobby_shout_head7,limit=1,sort=nearest] at @s run tag @s add lobby_spin_head

execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=804}] run summon item_display 19.5 34.77 22.5 {teleport_duration:1,brightness:{sky:15,block:0},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[.3631123f,.3631123f,.3631123f,.7774628f],translation:[0f,0f,0f],scale:[.8f,.8f,.8f]},item:{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:"Bill25"}},Tags:["lobby_shout_head","lobby_shout_head8"]}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=804..907}] run function secretrooms3:level_animation/lobby_heads/lobby_shout_head8
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=920}] as @e[tag=lobby_shout_spit,limit=1,sort=nearest] at @s run kill @s
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=922}] as @e[tag=lobby_shout_head8,limit=1,sort=nearest] at @s run tag @s add lobby_spin_head


execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=908}] run summon item_display 19.5 34.77 22.5 {teleport_duration:1,brightness:{sky:15,block:0},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[.3631123f,.3631123f,.3631123f,.7774628f],translation:[0f,0f,0f],scale:[.8f,.8f,.8f]},item:{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:{Id:[I;858625060,-938982024,-1936017372,-2109705103],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZmJmMGZiYmJkYjcyNDM1NWE3ODk4YTZlN2U5MzU2MTI5MGU3NjcwM2IyNTVlNDczNTJiN2M1YTBhMDRlYjU1YyJ9fX0="}]}}}},Tags:["lobby_shout_head","lobby_shout_head9"]}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=908..1011}] run function secretrooms3:level_animation/lobby_heads/lobby_shout_head9
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1024}] as @e[tag=lobby_shout_spit,limit=1,sort=nearest] at @s run kill @s
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1026}] as @e[tag=lobby_shout_head9,limit=1,sort=nearest] at @s run tag @s add lobby_spin_head

execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1012}] run summon item_display 19.5 34.77 22.5 {teleport_duration:1,brightness:{sky:15,block:0},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[.3631123f,.3631123f,.3631123f,.7774628f],translation:[0f,0f,0f],scale:[.8f,.8f,.8f]},item:{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:"CaptainSparklez"}},Tags:["lobby_shout_head","lobby_shout_head10"]}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1012..1115}] run function secretrooms3:level_animation/lobby_heads/lobby_shout_head10
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1128}] as @e[tag=lobby_shout_spit,limit=1,sort=nearest] at @s run kill @s
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1130}] as @e[tag=lobby_shout_head10,limit=1,sort=nearest] at @s run tag @s add lobby_spin_head


#miner dissapears
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1096}] as @e[tag=lobby_shout_as] at @s run particle minecraft:campfire_cosy_smoke ~ ~1 ~ .5 1 .5 0.01 50
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1096}] as @e[tag=lobby_shout_as,limit=1] at @s run particle minecraft:cloud ~ ~1 ~ .5 1 .5 0.01 100
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1096}] as @e[tag=lobby_shout_as,limit=1] at @s run particle minecraft:flash ~ ~1 ~ 0 0 0 0 1
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1096}] as @e[tag=lobby_shout_as,limit=1] at @s run kill @s

#enlarge texts
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=194}] as @e[tag=lobby_shout_head_text3,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[1f,1f,1f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=300}] as @e[tag=lobby_shout_head_text1,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[1f,1f,1f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=402}] as @e[tag=lobby_shout_head_text4,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[1f,1f,1f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=506}] as @e[tag=lobby_shout_head_text2,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[1f,1f,1f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=611}] as @e[tag=lobby_shout_head_text5,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[1f,1f,1f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=714}] as @e[tag=lobby_shout_head_text6,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[1f,1f,1f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=818}] as @e[tag=lobby_shout_head_text7,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[1f,1f,1f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=922}] as @e[tag=lobby_shout_head_text8,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[1f,1f,1f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1026}] as @e[tag=lobby_shout_head_text9,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[1f,1f,1f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1130}] as @e[tag=lobby_shout_head_text10,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[1f,1f,1f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=194}] as @e[tag=lobby_shout_head2_text3,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[.5f,.5f,.5f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=300}] as @e[tag=lobby_shout_head2_text1,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,-.84f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[.5f,.5f,.5f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=402}] as @e[tag=lobby_shout_head2_text4,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[.5f,.5f,.5f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=506}] as @e[tag=lobby_shout_head2_text2,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[.5f,.5f,.5f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=611}] as @e[tag=lobby_shout_head2_text5,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[.5f,.5f,.5f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=714}] as @e[tag=lobby_shout_head2_text6,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[.5f,.5f,.5f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=818}] as @e[tag=lobby_shout_head2_text7,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[.5f,.5f,.5f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=922}] as @e[tag=lobby_shout_head2_text8,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[.5f,.5f,.5f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1026}] as @e[tag=lobby_shout_head2_text9,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[.5f,.5f,.5f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1130}] as @e[tag=lobby_shout_head2_text10,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[.3f,.3f,.3f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1130}] as @e[tag=lobby_shout_head2_text11,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[.3f,.3f,.3f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1130}] as @e[tag=lobby_shout_head2_text12,limit=1,sort=nearest] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:3,transformation:{translation:[0f,0f,0f],left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],scale:[.3f,.3f,.3f]}}

execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=194}] as @e[tag=lobby_shout_head_text3,limit=1,sort=nearest] at @s run playsound minecraft:entity.item.pickup master @a ~ ~ ~ 2
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=300}] as @e[tag=lobby_shout_head_text1,limit=1,sort=nearest] at @s run playsound minecraft:entity.item.pickup master @a ~ ~ ~ 2
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=402}] as @e[tag=lobby_shout_head_text4,limit=1,sort=nearest] at @s run playsound minecraft:entity.item.pickup master @a ~ ~ ~ 2
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=506}] as @e[tag=lobby_shout_head_text2,limit=1,sort=nearest] at @s run playsound minecraft:entity.item.pickup master @a ~ ~ ~ 2
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=611}] as @e[tag=lobby_shout_head_text5,limit=1,sort=nearest] at @s run playsound minecraft:entity.item.pickup master @a ~ ~ ~ 2
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=714}] as @e[tag=lobby_shout_head_text6,limit=1,sort=nearest] at @s run playsound minecraft:entity.item.pickup master @a ~ ~ ~ 2
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=818}] as @e[tag=lobby_shout_head_text7,limit=1,sort=nearest] at @s run playsound minecraft:entity.item.pickup master @a ~ ~ ~ 2
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=922}] as @e[tag=lobby_shout_head_text8,limit=1,sort=nearest] at @s run playsound minecraft:entity.item.pickup master @a ~ ~ ~ 2
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1026}] as @e[tag=lobby_shout_head_text9,limit=1,sort=nearest] at @s run playsound minecraft:entity.item.pickup master @a ~ ~ ~ 2
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1130}] as @e[tag=lobby_shout_head_text10,limit=1,sort=nearest] at @s run playsound minecraft:entity.item.pickup master @a ~ ~ ~ 2

execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1130}] run tag @e[tag=sr3_overlord] add shout_done
execute if entity @e[tag=sr3_overlord,scores={lobby_shout_anim=1130},tag=info_done,tag=shout_done] run function secretrooms3:level_animation/lvl1_portal/lvl1_set_clickbox

#repeat function
schedule function secretrooms3:level_animation/lobby_shoutout_animation 1t

