#################################
#		Secret Rooms 3
#		Level 3 startup
#
#		Sets player up for Lvl 3
#
#		By Brozziest
#
#################################

scoreboard players reset #complete_tune gen_song

execute as @a at @s run effect give @s blindness 5 1 true
execute as @a at @s run effect give @s darkness 5 1 true

scoreboard objectives setdisplay sidebar tip

scoreboard players enable @a unstick
time set day
spawnpoint @a 738 73 54 180
scoreboard players display numberformat @a tip styled {"color":"#00FFBB"}

execute as @a at @s run tp @s 738 73 54 180 -5.0
gamemode adventure @a
schedule function secretrooms3:levels/lvl3/lvl3_setblock 1s
execute as @a at @s run playsound minecraft:entity.villager.work_toolsmith master @a ~ ~ ~ 1 0
execute as @a at @s run playsound minecraft:item.goat_horn.sound.1 master @a ~ ~ ~ 1 1.8

execute as @a at @s run title @s title [{"text":"The Laboratory","bold":true,"color":"#08FFB0"}]
execute as @a at @s run title @s subtitle [{"text":"Uh Oh! Back to the Lab Again.","color":"#E3FFE5"}]

give @a written_book{pages:['["",{"text":" Level 3 Tip Book","bold":true,"color":"#08FFB0"},{"text":"\\n","color":"#000000"},{"text":"-+-+-+-+-+-+-+-+-+","color":"gold"},{"text":"\\n\\n","color":"#000000"},{"text":"Clicking a Tip will increase your tip score once per treasure.","color":"#65E669"},{"text":"\\n\\n","color":"#000000"},{"text":"If you find yourself trapped, this book contains an","color":"#0FB2FF"},{"text":" \\"[Unstick Me]\\"","color":"#C72929"},{"text":" Button.","color":"#0FB2FF"},{"text":"\\n\\n","color":"#000000"},{"text":"-+-+-+-+-+-+-+-+-+","color":"gold"}]','["",{"text":"=+=+=+=+=+=+=+=+=+","color":"gold"},{"text":"\\n","color":"#000000"},{"text":"[Diamond Tip]","bold":true,"color":"aqua","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 3"},"hoverEvent":{"action":"show_text","contents":{"text":"Click for Diamond Tip!","color":"#adebff"}}},{"text":"\\n\\n","color":"#000000","bold":true},{"text":"[Emerald Tip]","bold":true,"color":"green","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 2"},"hoverEvent":{"action":"show_text","contents":{"text":"Click for Emerald Tip!","color":"#33ff99"}}},{"text":"\\n\\n","color":"#000000","bold":true},{"text":"[Nether Star Tip]","bold":true,"color":"gray","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 1"},"hoverEvent":{"action":"show_text","contents":{"text":"Click for Nether Star Tip!","color":"white"}}},{"text":"\\n\\n","color":"#000000","bold":true},{"text":"[Totem Tip]","bold":true,"color":"#CC3909","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 4"},"hoverEvent":{"action":"show_text","contents":{"text":"Click for Totem Tip!","color":"#FFCC00"}}},{"text":"\\n\\n","color":"#000000","bold":true},{"text":"[Golden Apple Tip]","bold":true,"color":"#F8DB00","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 5"},"hoverEvent":{"action":"show_text","contents":{"text":"Click for Apple Tip!","color":"#FFFFCC"}}},{"text":"\\n\\n\\n","color":"#000000"},{"text":"[Unstick Me!]","bold":true,"color":"red","clickEvent":{"action":"run_command","value":"/trigger unstick set 1"},"hoverEvent":{"action":"show_text","contents":{"text":"Click to get unstuck","color":"dark_red"}}},{"text":"\\n","color":"#000000"},{"text":"=+=+=+=+=+=+=+=+=+","color":"gold"}]','["",{"text":"-=-=-=-=-=-=-=-=-=","color":"gold"},{"text":"\\n\\n","color":"#000000"},{"text":"Once the level is complete, you may continue to roam the level. To return back to the lobby, click below:","color":"#A72D2B"},{"text":"\\n\\n","color":"#000000"},{"text":"[Return To Lobby]","bold":true,"color":"red","clickEvent":{"action":"run_command","value":"/trigger complete_lvl set 1"},"hoverEvent":{"action":"show_text","contents":{"text":"Click to return to lobby!","color":"dark_purple"}}},{"text":"\\n\\n\\n\\n","color":"#000000"},{"text":"-=-=-=-=-=-=-=-=-=","color":"gold"}]'],title:"Level 3 Tip Book",author:Brozziest,display:{Name:'["",{"text":"Level 3 Tip Book","italic":false,"color":"#08FFB0"}]',Lore:['["",{"text":"Textbook guiding","italic":false,"color":"#65E669"}]','["",{"text":"for the brain farts","italic":false,"color":"#65E669"}]']}}

execute as @e[tag=lvl3_villager] at @s run data merge entity @s {Offers:{Recipes:[]}}
scoreboard players set @e[tag=sr3_overlord] in_lvl 3