#################################
#		Secret Rooms 3
#		Map Finish
#
#		Commands Once Map Is Finished
#
#		By Brozziest
#
#################################

execute if score #map_finish finish_level matches 730 run return 1

scoreboard players add #map_finish finish_level 1

### Standard Protocol
execute if score #map_finish finish_level matches 1 run time set day
execute if score #map_finish finish_level matches 1 run weather clear
execute if score #map_finish finish_level matches 1 run clear @a
execute if score #map_finish finish_level matches 1 run xp set @a 0 points
execute if score #map_finish finish_level matches 1 run xp set @a 0 levels
execute if score #map_finish finish_level matches 1 run scoreboard players reset @a complete_lvl
execute if score #map_finish finish_level matches 1 run scoreboard players reset @a unstick
execute if score #map_finish finish_level matches 1 run scoreboard players set @e[tag=sr3_overlord] finish_level 0
execute if score #map_finish finish_level matches 1 run scoreboard players reset @a apple_used
execute if score #map_finish finish_level matches 1 run scoreboard players reset @a totem_used
execute if score #map_finish finish_level matches 1 run tag @e[tag=sr3_overlord,limit=1] remove return_prompt
execute if score #map_finish finish_level matches 1 run scoreboard objectives setdisplay sidebar
### tp player
execute if score #map_finish finish_level matches 1.. as @a at @s run effect give @s darkness 2 1 true
execute if score #map_finish finish_level matches 1.. as @a at @s run effect give @s invisibility 1 1 true
execute if score #map_finish finish_level matches 1.. as @a at @s run effect give @s levitation 1 255 true
execute if score #map_finish finish_level matches 1.. as @a at @s run tp @s 4.5 13.0 8.5 -90 0
execute if score #map_finish finish_level matches 2 as @a at @s run playsound minecraft:ambient.soul_sand_valley.mood master @s ~ ~ ~ 1 .5
execute if score #map_finish finish_level matches 2 as @a at @s run playsound minecraft:block.bell.resonate master @s ~ ~ ~ 1 .5
### play song
execute if score #map_finish finish_level matches 1 run scoreboard players reset #finish_tune gen_song
execute if score #map_finish finish_level matches 1 run function secretrooms3:levels/finish_song

### text appear in-out
execute if score #map_finish finish_level matches 88 as @e[tag=map_complete_text1] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:20,text_opacity:127}
execute if score #map_finish finish_level matches 108 as @e[tag=map_complete_text1] at @s run data merge entity @s {text_opacity:128}
execute if score #map_finish finish_level matches 109 as @e[tag=map_complete_text1] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:20,text_opacity:255}

execute if score #map_finish finish_level matches 109 as @e[tag=map_complete_text2] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:20,text_opacity:127}
execute if score #map_finish finish_level matches 129 as @e[tag=map_complete_text2] at @s run data merge entity @s {text_opacity:128}
execute if score #map_finish finish_level matches 130 as @e[tag=map_complete_text2] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:20,text_opacity:255}

execute if score #map_finish finish_level matches 131 as @e[tag=map_complete_text3] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:20,text_opacity:127}
execute if score #map_finish finish_level matches 151 as @e[tag=map_complete_text3] at @s run data merge entity @s {text_opacity:128}
execute if score #map_finish finish_level matches 152 as @e[tag=map_complete_text3] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:20,text_opacity:255}

execute if score #map_finish finish_level matches 216 as @e[tag=map_complete_text5] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:12,text_opacity:127}
execute if score #map_finish finish_level matches 228 as @e[tag=map_complete_text5] at @s run data merge entity @s {text_opacity:128}
execute if score #map_finish finish_level matches 229 as @e[tag=map_complete_text5] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:12,text_opacity:255}

execute if score #map_finish finish_level matches 229 as @e[tag=map_complete_text6] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:12,text_opacity:127}
execute if score #map_finish finish_level matches 241 as @e[tag=map_complete_text6] at @s run data merge entity @s {text_opacity:128}
execute if score #map_finish finish_level matches 242 as @e[tag=map_complete_text6] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:12,text_opacity:255}

execute if score #map_finish finish_level matches 242 as @e[tag=map_complete_text7] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:12,text_opacity:127}
execute if score #map_finish finish_level matches 254 as @e[tag=map_complete_text7] at @s run data merge entity @s {text_opacity:128}
execute if score #map_finish finish_level matches 255 as @e[tag=map_complete_text7] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:12,text_opacity:255}

execute if score #map_finish finish_level matches 280 as @e[tag=map_complete_text4] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:12,text_opacity:127}
execute if score #map_finish finish_level matches 292 as @e[tag=map_complete_text4] at @s run data merge entity @s {text_opacity:128}
execute if score #map_finish finish_level matches 293 as @e[tag=map_complete_text4] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:12,text_opacity:255}


execute if score #map_finish finish_level matches 323 as @e[tag=map_complete_text] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:10,text_opacity:128}
execute if score #map_finish finish_level matches 333 as @e[tag=map_complete_text] at @s run data merge entity @s {text_opacity:127}
execute if score #map_finish finish_level matches 334 as @e[tag=map_complete_text] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:10,text_opacity:10}

### titles
execute if score #map_finish finish_level matches 343 as @a at @s run title @s times 1s 2s 1.5s
execute if score #map_finish finish_level matches 344 run title @a title [{"text":"Secret Rooms ","color":"#FFFFFF"},{"text":"3","color":"#05DEFF"}]
execute if score #map_finish finish_level matches 440 run title @a title [{"text":" ","color":"#FFFFFF"}]
execute if score #map_finish finish_level matches 440 run title @a subtitle [{"text":"By ","color":"#FFDD00"},{"text":"Brozziest","color":"#FF5500"}]

execute if score #map_finish finish_level matches 528 run title @a title [{"text":" ","color":"#FFFFFF"}]
execute if score #map_finish finish_level matches 528 run title @a subtitle [{"text":"Thank you for having played...","color":"#FFDD00"}]

execute if score #map_finish finish_level matches 632 run title @a title [{"text":" ","color":"#FFFFFF"}]
execute if score #map_finish finish_level matches 632 run title @a subtitle [{"text":"Even if no one else did.","color":"#FFDD00"}]

### tp back
execute if score #map_finish finish_level matches 730 run scoreboard objectives setdisplay sidebar tip
execute if score #map_finish finish_level matches 730 run function secretrooms3:levels/level_finish2

### activate new portal to concept art
execute if score #map_finish finish_level matches 730 run tellraw @a [{"text":"\n\nYou have completed ","color":"#F57B11"},{"text":"Secret Rooms","color":"#F5F5F5"},{"text":" 3!","color":"#05DEFF"},{"text":"\nYou have earned the right to see\nsome concept art of the map!","color":"#F57B11"},{"text":"\n\nEnter the broken portal to the\nright to see it!","color":"#F5C60C"}]
execute if score #map_finish finish_level matches 730 as @e[tag=lobby_concept_text] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:5,transformation:{scale:[1f,1f,1f]}}
execute if score #map_finish finish_level matches 730 run scoreboard players set @e[tag=sr3_overlord,limit=1] portal_anim 6
schedule function secretrooms3:levels/map_finish 1t