#################################
#		Secret Rooms 3
#		Portal Animation Function
#		
#		Lvl 4 Portal Animation
#
#		By Brozziest
#
#################################

#end animation
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 320 run return 1

#tp and invis player
effect give @a invisibility 1 1 true
effect give @a levitation 1 255 true
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 1 run scoreboard objectives setdisplay sidebar
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 1 as @a at @s run tp @s 62.5 25.0 8.5 90 -4
execute as @a at @s run tp @s 62.5 25.0 8.5

#move clickbox
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl4_portal_anim=1}] as @e[tag=lobby_lvl4_clickbox] at @s run tp @s ~ ~-10 ~
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl4_portal_anim=1}] as @e[tag=lobby_lvl4_unlock_text1] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:2,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.3f,0.0f,0.3f]}}

#update Overlord score
execute as @e[tag=sr3_overlord] at @s run scoreboard players add @s lobby_lvl4_portal_anim 1
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 1 as @a at @s run scoreboard players reset @e[tag=sr3_overlord,limit=1] in_lvl



#Part 1: Text Crumbles
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 1..32 run function secretrooms3:level_animation/lvl4_portal/lvl4_portal_text

#Part 2: Torches Flame
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 80 run function secretrooms3:level_animation/lvl4_portal/lvl4_portal_torch
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 80 as @e[type=text_display,tag=lobby_lvl4_lock_text1,limit=1] at @s run playsound minecraft:entity.wither.spawn master @a ~ ~ ~ 1 0
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 100 as @e[type=text_display,tag=lobby_lvl4_lock_text1,limit=1] at @s run playsound minecraft:entity.warden.emerge master @a ~ ~ ~ 2 0

#Part 3: Temple Rises
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 100 positioned 49.5 7.0 8.5 run function secretrooms3:level_animation/lvl4_portal/lvl4_portal_summon
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 80..219 as @e[type=text_display,tag=lobby_lvl4_lock_text1,limit=1] at @s positioned ~1 ~-3 ~ run particle minecraft:block sand ~ ~ ~ 1 0 4 1 20
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 80..219 as @e[type=text_display,tag=lobby_lvl4_lock_text1,limit=1] at @s positioned ~1 ~-3 ~ run particle minecraft:falling_dust sand ~ ~ ~ 1 0 4 1 20

execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 120..219 run function secretrooms3:level_animation/lvl4_portal/lvl4_portal_rise
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 219 run stopsound @a master minecraft:entity.warden.emerge
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 219 run stopsound @a master minecraft:entity.cat.purr
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 219 as @e[type=text_display,tag=lobby_lvl4_lock_text1,limit=1] at @s run playsound minecraft:item.trident.thunder master @a ~ ~ ~ 2 0

execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 80 run function secretrooms3:level_animation/lvl4_portal/lvl4_portal_shake1

#Part 4: Door Opens
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 220..310 run function secretrooms3:level_animation/lvl4_portal/lvl4_portal_open
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 230 run function secretrooms3:level_animation/lvl4_portal/lvl4_portal_tune
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 200 run scoreboard players set @e[tag=sr3_overlord,limit=1] portal_anim 4

#Part 5: Finalize
#execute if entity @e[tag=sr3_overlord,scores={lobby_lvl4_portal_anim=230}] as @e[tag=lobby_lvl4_portal_text1] at @s run particle minecraft:enchant ~ ~1 ~ .1 .1 .1 3 500
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 320 run function secretrooms3:level_animation/lvl4_portal/lvl4_portal_final
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 320 run scoreboard objectives setdisplay sidebar tip
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl4_portal_anim matches 200 as @a at @s run scoreboard players set @e[tag=sr3_overlord,limit=1] in_lvl 0

#repeat function
schedule function secretrooms3:level_animation/lvl4_portal/lvl4_portal_main 1t

