#################################
#		Secret Rooms 3
#		Level 3 Genshin Bridge Animation
#
#		By Brozziest
#
#################################

#reset
        #execute as @e[tag=lvl3_bridge_marker] at @s run tp @s 751 128 43
        #kill @e[tag=lvl3_gi_door]
        #kill @e[tag=lvl3_bridge_ps]
        #scoreboard players set @e[tag=lvl3_bridge_marker] lvl3_bridge_timer 0
        #scoreboard players set @e[tag=lvl3_bridge_marker] lvl3_bridge_segment1 4

#summon bridge
execute as @e[tag=lvl3_bridge_marker] at @s if entity @p[distance=..10] unless entity @s[tag=bridge_end] run function secretrooms3:levels/level_deco_animations/lvl3/lvl3_gi_bridge_summon
#execute as @e[tag=lvl3_bridge_marker] at @s run particle minecraft:flame ~ ~ ~ 0 0 0 0 1

execute as @e[tag=lvl3_bridge_ps] at @s unless entity @s[scores={lvl3_bridge_timer=26..}] run scoreboard players add @s lvl3_bridge_timer 1
execute as @e[tag=lvl3_bridge_p] at @s unless entity @s[scores={lvl3_bridge_timer=41..}] run scoreboard players add @s lvl3_bridge_timer 1

execute as @e[tag=lvl3_bridge_ps,tag=lvl3_bridge_p1,tag=lvl3_bridge_ps2,scores={lvl3_bridge_timer=2}] at @s run data merge entity @s {start_interpolation:-1,interpolation_duration:14,transformation:{translation:[0.5f,-1f,-0.5f]}}
execute as @e[tag=lvl3_bridge_ps,tag=lvl3_bridge_p1,tag=lvl3_bridge_ps1,scores={lvl3_bridge_timer=2}] at @s run data merge entity @s {start_interpolation:-1,interpolation_duration:14,transformation:{translation:[-0.5f,1f,-0.5f]}}
execute as @e[tag=lvl3_bridge_ps,tag=lvl3_bridge_p1,scores={lvl3_bridge_timer=1}] at @s run setblock ~ ~-1 ~ barrier
execute as @e[tag=lvl3_bridge_ps,tag=lvl3_bridge_p5,tag=lvl3_bridge_ps1,scores={lvl3_bridge_timer=10}] at @s run data merge entity @s {start_interpolation:-1,interpolation_duration:14,transformation:{translation:[-0.5f,0f,-0.5f]}}
execute as @e[tag=lvl3_bridge_ps,tag=lvl3_bridge_p5,tag=lvl3_bridge_ps2,scores={lvl3_bridge_timer=10}] at @s run data merge entity @s {start_interpolation:-1,interpolation_duration:14,transformation:{translation:[0.5f,-2f,-0.5f]}}
execute as @e[tag=lvl3_bridge_ps,tag=lvl3_bridge_p5,scores={lvl3_bridge_timer=10}] at @s run setblock ~ ~-1 ~ barrier


execute as @e[tag=lvl3_bridge_p1,scores={lvl3_bridge_timer=2}] at @s run data merge entity @s {Motion:[0d,.4d,0d],NoGravity:0b}
execute as @e[tag=lvl3_bridge_p1,tag=lvl3_bridge_bricks,scores={lvl3_bridge_timer=17}] at @s run setblock ~ ~1 ~ quartz_bricks
execute as @e[tag=lvl3_bridge_p1,tag=lvl3_bridge_chisel,scores={lvl3_bridge_timer=17}] at @s run setblock ~ ~1 ~ chiseled_quartz_block
execute as @e[tag=lvl3_bridge_p1,tag=lvl3_bridge_block,scores={lvl3_bridge_timer=17}] at @s run setblock ~ ~1 ~ quartz_block
execute as @e[tag=lvl3_bridge_p1,tag=lvl3_bridge_p,scores={lvl3_bridge_timer=17}] at @s run kill @s

execute as @e[tag=lvl3_bridge_p2,scores={lvl3_bridge_timer=5}] at @s run data merge entity @s {Motion:[0d,.4d,0d],NoGravity:0b}
execute as @e[tag=lvl3_bridge_p2,tag=lvl3_bridge_bricks,scores={lvl3_bridge_timer=20}] at @s run setblock ~ ~1 ~ quartz_bricks
execute as @e[tag=lvl3_bridge_p2,tag=lvl3_bridge_chisel,scores={lvl3_bridge_timer=20}] at @s run setblock ~ ~1 ~ chiseled_quartz_block
execute as @e[tag=lvl3_bridge_p2,tag=lvl3_bridge_block,scores={lvl3_bridge_timer=20}] at @s run setblock ~ ~1 ~ quartz_block
execute as @e[tag=lvl3_bridge_p2,scores={lvl3_bridge_timer=20}] at @s run kill @s

execute as @e[tag=lvl3_bridge_p3,scores={lvl3_bridge_timer=10}] at @s run data merge entity @s {Motion:[0d,.4d,0d],NoGravity:0b}
execute as @e[tag=lvl3_bridge_p3,tag=lvl3_bridge_bricks,scores={lvl3_bridge_timer=25}] at @s run setblock ~ ~1 ~ quartz_bricks
execute as @e[tag=lvl3_bridge_p3,tag=lvl3_bridge_chisel,scores={lvl3_bridge_timer=25}] at @s run setblock ~ ~1 ~ chiseled_quartz_block
execute as @e[tag=lvl3_bridge_p3,tag=lvl3_bridge_block,scores={lvl3_bridge_timer=25}] at @s run setblock ~ ~1 ~ quartz_block
execute as @e[tag=lvl3_bridge_p3,scores={lvl3_bridge_timer=25}] at @s run kill @s

execute as @e[tag=lvl3_bridge_p4,scores={lvl3_bridge_timer=15}] at @s run data merge entity @s {Motion:[0d,.4d,0d],NoGravity:0b}
execute as @e[tag=lvl3_bridge_p4,tag=lvl3_bridge_bricks,scores={lvl3_bridge_timer=30}] at @s run setblock ~ ~1 ~ quartz_bricks
execute as @e[tag=lvl3_bridge_p4,tag=lvl3_bridge_chisel,scores={lvl3_bridge_timer=30}] at @s run setblock ~ ~1 ~ chiseled_quartz_block
execute as @e[tag=lvl3_bridge_p4,tag=lvl3_bridge_block,scores={lvl3_bridge_timer=30}] at @s run setblock ~ ~1 ~ quartz_block
execute as @e[tag=lvl3_bridge_p4,scores={lvl3_bridge_timer=30}] at @s run kill @s

execute as @e[tag=lvl3_bridge_p5,scores={lvl3_bridge_timer=20}] at @s run data merge entity @s {Motion:[0d,.4d,0d],NoGravity:0b}
execute as @e[tag=lvl3_bridge_p5,tag=lvl3_bridge_bricks,scores={lvl3_bridge_timer=35}] at @s run setblock ~ ~1 ~ quartz_bricks
execute as @e[tag=lvl3_bridge_p5,tag=lvl3_bridge_chisel,scores={lvl3_bridge_timer=35}] at @s run setblock ~ ~1 ~ chiseled_quartz_block
execute as @e[tag=lvl3_bridge_p5,tag=lvl3_bridge_block,scores={lvl3_bridge_timer=35}] at @s run setblock ~ ~1 ~ quartz_block
execute as @e[tag=lvl3_bridge_p5,tag=lvl3_bridge_p,scores={lvl3_bridge_timer=35}] at @s run kill @s

#rotate door
execute as @e[tag=lvl3_gi_door] at @s unless entity @s[scores={lvl3_bridge_timer=44..}] run scoreboard players add @s lvl3_bridge_timer 1
execute as @e[tag=lvl3_gi_door_p1,scores={lvl3_bridge_timer=1..20}] at @s run tp @s ~ ~ ~ ~ ~-9
execute as @e[tag=lvl3_gi_door_p2,scores={lvl3_bridge_timer=11..30}] at @s run tp @s ~ ~ ~ ~ ~-9
execute as @e[tag=lvl3_gi_door_p3,scores={lvl3_bridge_timer=14..33}] at @s run tp @s ~ ~ ~ ~ ~-9
execute as @e[tag=lvl3_gi_door_p4,scores={lvl3_bridge_timer=6..25}] at @s run tp @s ~ ~ ~ ~ ~-9
execute as @e[tag=lvl3_gi_door_p5,scores={lvl3_bridge_timer=16..35}] at @s run tp @s ~ ~ ~ ~ ~-9
execute as @e[tag=lvl3_gi_door_p6,scores={lvl3_bridge_timer=19..38}] at @s run tp @s ~ ~ ~ ~ ~-9
execute as @e[tag=lvl3_gi_door_p7,scores={lvl3_bridge_timer=24..43}] at @s run tp @s ~ ~ ~ ~ ~-9
execute as @e[tag=lvl3_gi_door_p8,scores={lvl3_bridge_timer=21..40}] at @s run tp @s ~ ~ ~ ~ ~-9


#song


execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=1}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 .707107
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=17}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 .942874
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=17}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 1 .707107
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=17}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 1 .594604

execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=65}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 1.059463
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=73}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 1.189207
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=80}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 1.334840
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=80}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 1 .66742
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=80}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 1 .793701


execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=129}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 1.189207
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=137}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 1.059463
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=146}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 1.189207
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=146}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 1 .707107
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=146}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 1 .594604

execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=193}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 1.059463
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=201}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 .942874
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=209}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 1.059463
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=209}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 1 .66742
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=209}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 1 .793701
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=225}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 .793701

execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=273}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 .942874
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=273}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 1 .629961
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=273}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 1 .793701

execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=321}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 .942874
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=329}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 1.059463
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=337}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 .890899
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=337}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 1 .707107
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=337}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 1 .890889

execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=385}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 .793701
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=393}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 .707107
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=401}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 .793701
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=401}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 1 .629961

execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=417}] at @s run playsound minecraft:block.note_block.flute master @s ~ ~ ~ 1 1.189207
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=417}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 1 .793701
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=417}] at @s run playsound minecraft:block.note_block.guitar master @s ~ ~ ~ 1 .942874
scoreboard players add @a[tag=lvl3_in_gi] lvl3_gi_song 1
execute as @a[tag=lvl3_in_gi,scores={lvl3_gi_song=481..}] at @s run scoreboard players set @s lvl3_gi_song 0

effect give @a[tag=lvl3_in_gi] minecraft:slowness 1 1 true
effect give @a[tag=lvl3_in_gi] minecraft:jump_boost 1 128 true
tag @a[tag=lvl3_in_gi] remove lvl3_in_gi