#################################
#		Secret Rooms 3
#		Level 4 commands
#
#		Commands for Level 4
#
#		By Brozziest
#
#################################

################### Decorations ##############
function secretrooms3:levels/level_deco_animations/lvl4/lvl4_deco

################### Actives ##################
execute unless data block 453 81 -461 {Items:[{id:"minecraft:experience_bottle"}]} unless data block 453 81 -461 {Items:[{Slot:13b}]} run data modify block 453 81 -461 Items append value {Count:4b,Slot:13b,id:"minecraft:experience_bottle",tag:{Unbreakable:1,display:{Name:'[{"text":"Embalming Ointment","italic":false}]',Lore:['[{"text":"Bottles of embalming ointment","italic":false}]','[{"text":"left behind for the Pharaoh.","italic":false}]']},HideFlags:4}}

execute unless data block 462 80 -468 {Items:[{id:"minecraft:splash_potion"}]} unless data block 462 80 -468 {Items:[{Slot:13b}]} run data modify block 462 80 -468 Items append value {Count:4b,Slot:13b,id:"minecraft:splash_potion",tag:{display:{Name:'[{"text":"Mummy Bath Water","italic":false,"color":"blue","bold":true}]',Lore:['[{"text":"Please don\'t drink this.","italic":false,"color":"aqua","underlined":true}]']},Potion:"minecraft:water"}}

execute as @a if entity @s[nbt={SelectedItem:{id:"minecraft:brush",Count:1b}}] unless entity @s[nbt={SelectedItem:{id:"minecraft:brush",Count:1b,tag:{HideFlags:56,CanPlaceOn:[suspicious_sand]}}}] at @s run item modify entity @s weapon.mainhand secretrooms3:brush

execute as @a[gamemode=adventure] if entity @s[x=486,y=69,z=-551,dx=56,dy=10,dz=47] run function secretrooms3:levels/level_deco_animations/lvl4/lvl4_tp_from_pit
execute as @a[gamemode=adventure] if entity @s[x=491,y=80,z=-549,dx=14,dy=9,dz=7] run function secretrooms3:levels/level_deco_animations/lvl4/lvl4_tp_from_pit
execute as @e[type=item] if entity @s[x=486,y=69,z=-551,dx=56,dy=10,dz=47] run function secretrooms3:levels/level_deco_animations/lvl4/lvl4_tp_from_pit
execute as @e[type=camel] if entity @s[x=486,y=69,z=-551,dx=56,dy=10,dz=47] run function secretrooms3:levels/level_deco_animations/lvl4/lvl4_tp_from_pit
execute as @e[type=camel] if entity @s[x=492,y=52,z=-431,dx=2,dy=25,dz=2] run function secretrooms3:levels/level_deco_animations/lvl4/lvl4_tp_from_pit


execute unless block 419 76 -486 minecraft:suspicious_sand run setblock 419 76 -486 suspicious_sand

execute as @a at @s unless entity @e[tag=lvl3_sweep_stand,distance=..4] run scoreboard players reset @s gen_raycast
execute as @a at @s if entity @s[nbt={SelectedItem:{id:"minecraft:golden_sword",Count:1b}}] if entity @e[tag=lvl4_sweep_stand,distance=..4] anchored eyes run function secretrooms3:levels/lvl4/lvl4_sword_raycast
execute as @a if score @s gen_raycast matches 1 run gamemode survival @s
#execute as @a if score @s gen_raycast matches 1 run effect give @s mining_fatigue 1 5 true
execute as @a if score @s gen_raycast matches 0 run gamemode adventure @s
execute as @a if score @s gen_raycast matches 1 run scoreboard players set @s gen_raycast 0

execute as @a at @s if entity @s[x=635,y=77,z=-430,dx=2,dy=1,dz=0] run tp @s ~-106 ~ ~

execute as @a if score @s unstick matches 1 at @s run function secretrooms3:levels/unstick

execute if entity @a[x=490,y=82,z=-439,dx=18,dy=10,dz=18] unless entity @e[tag=lvl4_sweep_stand,x=497,y=81,z=-429,dx=1,dy=3,dz=1] run summon minecraft:armor_stand 497.50 82.25 -428.50 {Tags:["lvl4_sweep_stand","lvl4_sweep_stand1"], Rotation: [90.0f, 0.0f], ArmorItems: [{}, {id: "minecraft:golden_leggings", Count: 1b, tag: {Damage: 0, Trim: {material: "minecraft:lapis", pattern: "minecraft:dune"}}}, {id: "minecraft:golden_chestplate", Count: 1b, tag: {Damage: 0, Trim: {material: "minecraft:lapis", pattern: "minecraft:dune"}}}, {}]}
execute if entity @a[x=490,y=82,z=-439,dx=18,dy=10,dz=18] unless entity @e[tag=lvl4_sweep_stand,x=497,y=81,z=-431,dx=1,dy=3,dz=1] run summon minecraft:armor_stand 497.50 82.25 -430.50 {Tags:["lvl4_sweep_stand","lvl4_sweep_stand2"], Rotation: [90.0f, 0.0f], ArmorItems: [{}, {id: "minecraft:golden_leggings", Count: 1b, tag: {Damage: 0, Trim: {material: "minecraft:lapis", pattern: "minecraft:dune"}}}, {id: "minecraft:golden_chestplate", Count: 1b, tag: {Damage: 0, Trim: {material: "minecraft:lapis", pattern: "minecraft:dune"}}}, {}]}
execute if entity @a[x=490,y=82,z=-439,dx=18,dy=10,dz=18] unless entity @e[tag=lvl4_sweep_stand,x=501,y=81,z=-431,dx=1,dy=3,dz=1] run summon minecraft:armor_stand 501.50 82.25 -430.50 {Tags:["lvl4_sweep_stand","lvl4_sweep_stand3"], Rotation: [-90.0f, 0.0f], ArmorItems: [{}, {id: "minecraft:golden_leggings", Count: 1b, tag: {Damage: 0, Trim: {material: "minecraft:lapis", pattern: "minecraft:dune"}}}, {id: "minecraft:golden_chestplate", Count: 1b, tag: {Damage: 0, Trim: {material: "minecraft:lapis", pattern: "minecraft:dune"}}}, {}]}
execute if entity @a[x=490,y=82,z=-439,dx=18,dy=10,dz=18] unless entity @e[tag=lvl4_sweep_stand,x=501,y=81,z=-429,dx=1,dy=3,dz=1] run summon minecraft:armor_stand 501.50 82.25 -428.50 {Tags:["lvl4_sweep_stand","lvl4_sweep_stand4"], Rotation: [-90.0f, 0.0f], ArmorItems: [{}, {id: "minecraft:golden_leggings", Count: 1b, tag: {Damage: 0, Trim: {material: "minecraft:lapis", pattern: "minecraft:dune"}}}, {id: "minecraft:golden_chestplate", Count: 1b, tag: {Damage: 0, Trim: {material: "minecraft:lapis", pattern: "minecraft:dune"}}}, {}]}

#################### Tips ####################
scoreboard players enable @a tip_trigger
execute as @a[scores={tip_trigger=1..}] at @s run function secretrooms3:levels/lvl4/lvl4_tips


##################### Item Collection ####################

scoreboard players set @e[tag=sr3_overlord] items_collected 0
execute if entity @a[nbt={Inventory:[{id:"minecraft:nether_star",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"gray"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:diamond",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#adebff"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:emerald",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#33ff99"},{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"A Gift to a Friend.","italic":false,"color":"dark_green"}]','[{"text":"\\"Because... you swaggy.","italic":false,"color":"dark_green"}]','[{"text":"That\'s all I can think of.\\"","italic":false,"color":"dark_green"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:enchanted_golden_apple",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#ffffcc"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:totem_of_undying",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#ffcc00"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1

execute as @e[tag=sr3_overlord,limit=1] at @s if entity @e[tag=sr3_overlord,scores={items_collected=5}] unless entity @e[tag=sr3_overlord,tag=return_prompt] run function secretrooms3:levels/level_finish
scoreboard players set @e[tag=sr3_overlord] items_collected 0


##################### Room Found Announcement ####################

execute if entity @a[x=505,y=83,z=-494,dx=3,dy=7,dz=6,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_green"},{"text":"\n The Emerald Room:","color":"green","bold":true},{"text":" Birthday Dinner at the Deadly Diner","color":"#33ff99"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"dark_green"}]
execute if entity @a[x=505,y=83,z=-494,dx=3,dy=7,dz=6,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] at @a run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute if entity @a[x=505,y=83,z=-494,dx=3,dy=7,dz=6,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] at @a run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=505,y=83,z=-494,dx=3,dy=7,dz=6,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] run tag @e[tag=sr3_overlord] add e_room
execute if entity @a[x=505,y=83,z=-494,dx=3,dy=7,dz=6,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_tip] run tag @e[tag=sr3_overlord] add e_tip

execute if entity @a[x=505,y=85,z=-578,dx=8,dy=7,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_blue"},{"text":"\n The Diamond Room:","color":"aqua","bold":true},{"text":" The Empire Beneath the Sands","color":"#adebff"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"dark_blue"}]
execute if entity @a[x=505,y=85,z=-578,dx=8,dy=7,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] at @a run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute if entity @a[x=505,y=85,z=-578,dx=8,dy=7,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] at @a run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=505,y=85,z=-578,dx=8,dy=7,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] run tag @e[tag=sr3_overlord] add d_room
execute if entity @a[x=505,y=85,z=-578,dx=8,dy=7,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_tip] run tag @e[tag=sr3_overlord] add d_tip

execute if entity @a[x=492,y=50,z=-431,dx=2,dy=25,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"white"},{"text":"\n The Nether Star Room:","color":"white","bold":true},{"text":" Shattering of the Duat","color":"gray"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"white"}]
execute if entity @a[x=492,y=50,z=-431,dx=2,dy=25,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] at @a run playsound minecraft:block.note_block.chime master @a ~ ~ ~ 1 0
execute if entity @a[x=492,y=50,z=-431,dx=2,dy=25,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] at @a run playsound minecraft:ambient.soul_sand_valley.mood master @a ~ ~ ~ 1 1
execute if entity @a[x=492,y=50,z=-431,dx=2,dy=25,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] at @a run particle minecraft:end_rod ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=492,y=50,z=-431,dx=2,dy=25,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] run tag @e[tag=sr3_overlord] add n_room
execute if entity @a[x=492,y=50,z=-431,dx=2,dy=25,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_tip] run tag @e[tag=sr3_overlord] add n_tip

execute if entity @a[x=422,y=69,z=-519,dx=7,dy=6,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"gold"},{"text":"\n The Golden Apple Room:","color":"yellow","bold":true},{"text":" Respite from the Tedium","color":"#FFFFCC"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"gold"}]
execute if entity @a[x=422,y=69,z=-519,dx=7,dy=6,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] at @a run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute if entity @a[x=422,y=69,z=-519,dx=7,dy=6,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] at @a run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=422,y=69,z=-519,dx=7,dy=6,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] run tag @e[tag=sr3_overlord] add a_room
execute if entity @a[x=422,y=69,z=-519,dx=7,dy=6,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_tip] run tag @e[tag=sr3_overlord] add a_tip

execute if entity @a[x=448,y=66,z=-472,dx=5,dy=3,dz=4,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"red"},{"text":"\n The Totem Room:","color":"#990000","bold":true},{"text":" Into the Frozen Catacombs","color":"#FFCC00"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"red"}]
execute if entity @a[x=448,y=66,z=-472,dx=5,dy=3,dz=4,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] at @a run playsound minecraft:block.note_block.chime master @a ~ ~ ~ 1 0
execute if entity @a[x=448,y=66,z=-472,dx=5,dy=3,dz=4,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] at @a run playsound minecraft:ambient.soul_sand_valley.mood master @a ~ ~ ~ 1 1
execute if entity @a[x=448,y=66,z=-472,dx=5,dy=3,dz=4,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] at @a run particle minecraft:soul ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=448,y=66,z=-472,dx=5,dy=3,dz=4,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] run tag @e[tag=sr3_overlord] add t_room
execute if entity @a[x=448,y=66,z=-472,dx=5,dy=3,dz=4,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_tip] run tag @e[tag=sr3_overlord] add t_tip

#Leave Announcement
execute if entity @e[tag=sr3_overlord,tag=return_prompt] run title @a actionbar [{"text":"Level Complete! Use Your Tip Book Pg.3 to Return to the Lobby, When Ready!","color":"#FF7373"}]
scoreboard players enable @a complete_lvl
execute if entity @e[tag=sr3_overlord,tag=!return_prompt] as @a if score @s complete_lvl matches 1 run tellraw @s {"text":"You have not yet completed the level!","color":"#C90000","bold":true}
execute if entity @e[tag=sr3_overlord,tag=return_prompt] as @a if score @s complete_lvl matches 1 if score @e[tag=sr3_overlord,limit=1] finish_level matches ..79 run tellraw @s {"text":"Logging completion, try again in a moment...","color":"#C90000","bold":true}
execute if entity @e[tag=sr3_overlord,tag=return_prompt] as @a if score @s complete_lvl matches 1 if score @e[tag=sr3_overlord,limit=1] finish_level matches ..79 run scoreboard players reset @a complete_lvl
execute if entity @e[tag=sr3_overlord,tag=return_prompt] as @a if score @s complete_lvl matches 1 unless score @e[tag=sr3_overlord,limit=1] finish_level matches ..79 run function secretrooms3:levels/level_finish2
execute if entity @e[tag=sr3_overlord,tag=!return_prompt] as @a if score @s complete_lvl matches 1 run scoreboard players reset @a complete_lvl